## varnish 7.1.1

=== debian/changelog ===
varnish (7.1.1-2+deb12u1) bookworm-security; urgency=medium

  * Fix the VSV00016 request smuggling vulnerability.

 -- Marco d'Itri <md@linux.it>  Tue, 13 May 2025 01:19:10 +0200

varnish (7.1.1-1.1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-30346: HTTP/1 client-side desync vulnerability

 -- Adrian Bunk <bunk@debian.org>  Mon, 31 Mar 2025 16:06:56 +0300

varnish (7.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add all well-known headers to the perfect hash lookup table
    (CVE-2022-45059) (Closes: #1023750)
  * hpack: fix pseudo-headers handling (CVE-2022-45060) (Closes: #1023751)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jan 2023 22:09:31 +0100

varnish (7.1.1-1) unstable; urgency=medium

  * New upstream release (CVE-2022-38150, VSV00009)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 12 Aug 2022 11:23:00 +0200

varnish (7.1.0-6) unstable; urgency=medium

  * Declare compliance with Debian Policy Manual 4.6.1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 16 Jun 2022 21:53:14 +0200

varnish (7.1.0-5) unstable; urgency=medium

  * New upstream release (Closes: #1010582)
  * Bump soname for libvarnishapi
  * Depend on libpcre2-dev instead of libpcre3-dev
  * Drop superfluous file patterns from debian/copyright
  * Update lintian overrides for embedded, modified zlib
  * Update lintian overrides for compiled javascript included in the
    documentation source tarball

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 15 Jun 2022 21:16:48 +0200
