=== debian/control ===
Source: varnish
Maintainer: Varnish Package Maintainers <team+varnish-team@tracker.debian.org>
Uploaders:
           Stig Sandbeck Mathisen <ssm@debian.org>,
           Marco d'Itri <md@linux.it>,
Section: web
Priority: optional
Build-Depends: automake,
               debhelper-compat (= 13),
               graphviz,
               libedit-dev,
               libjemalloc-dev,
               libncurses-dev,
               libpcre2-dev,
               libtool,
               pkg-config,
               python3-sphinx,
               xsltproc,
               debhelper
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/varnish-team/varnish
Vcs-Git: https://salsa.debian.org/varnish-team/varnish.git
Homepage: https://www.varnish-cache.org/

Package: varnish
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         gcc,
         libc6-dev | libc6.1-dev | libc-dev,
         lsb-base
Suggests: varnish-doc
Provides: ${Varnish:ABI},
          ${Varnish:strictABI}
Description: state of the art, high-performance web accelerator
 Varnish Cache is a state of the art web accelerator written with
 performance and flexibility in mind.
 .
 Varnish Cache stores web pages in memory so web servers don't have to
 create the same web page over and over again. Varnish serves pages
 much faster than any application server; giving the website a
 significant speed up.
 .
 Some of the features include:
  * A modern design
  * VCL - a very flexible configuration language
  * Load balancing with health checking of backends
  * Partial support for ESI - Edge Side Includes
  * URL rewriting
  * Graceful handling of "dead" backends

Package: varnish-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: documentation for Varnish Cache
 This package contains HTML documentation for Varnish Cache.

Package: libvarnishapi3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: shared libraries for Varnish
 Shared libraries for the Varnish HTTP accelerator.

Package: libvarnishapi-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvarnishapi3 (= ${binary:Version}),
         python3:any
Conflicts: libvarnish-dev
Provides: libvarnish-dev
Description: development files for Varnish
 Development files for the Varnish HTTP accelerator.
