## varnish 7.5.0

=== debian/changelog ===
varnish (7.5.0-3) unstable; urgency=medium

  * Remove the -j option from the varnishd command line.
    It is not clear why it was added to varnish.service in commit
    1c9881bb6f436f9c4e4ed4e96893b6de2f3cb805 from 2015, but it caused to
    have both the management and the worker processes to run as user vcache.
    The default is to have the management process use user varnish, for
    better separation of privileges.
    This should not require any changes on upgrades.
  * Install builtin.vcl as documentation.
  * Do not install the varnishstat_help_gen program, which is only useful
    at boot time.
  * Enable again the test suite, but allow the tests to fail.
    In the future they will be enforced for supported architectures.
  * debian/control: remove Emanuele Rocca from the Uploaders, as agreed
    with him.

 -- Marco d'Itri <md@linux.it>  Sat, 20 Jul 2024 00:15:47 +0200

varnish (7.5.0-2) unstable; urgency=medium

  * debian/rules: act on varnish-doc only if it has been built.

 -- Marco d'Itri <md@linux.it>  Tue, 02 Jul 2024 15:20:32 +0200

varnish (7.5.0-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + HTTP/2 Rapid Reset Attack (CVE-2023-44487, VSV00013).
      (Closes: #1056156)
    + HTTP/2 Broke Window Attack (CVE-2024-30156, VSV00014).
      (Closes: #1068455)
  * Remove the unmaintained init scripts.
    (Closes: #657449, #659005, #737528, #881056, #934278, #961750)
  * Make all daemons Restart=on-failure.
  * Switch to systemd-tmpfiles and systemd-sysusers.
  * Stop creating /var/lib/varnish/$HOSTNAME/, which is not used anymore
    by modern Varnish.
  * Create /var/lib/varnish/CACHEDIR.TAG to signal that the directory
    content should not be backed up.
  * Replace more embedded Javascript with libjs-sphinxdoc.

 -- Marco d'Itri <md@linux.it>  Tue, 02 Jul 2024 13:59:11 +0200

varnish (7.1.1-1.2) unstable; urgency=medium

  [ Marco d'Itri ]
  * Non-maintainer upload.
  * Import the precedent non-maintainer upload.

  [ Helmut Grohne ]
  * Install the systemd units using dh_installsystemd only.
    (Closes: #1054484)

 -- Marco d'Itri <md@linux.it>  Mon, 01 Apr 2024 18:06:43 +0200
