=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: varnish
 Maintainer: Varnish Package Maintainers <team+varnish-team@tracker.debian.org>
-Uploaders:
+Uploaders: Jan Wagner <waja@cyconet.org>,
+           Lars Bahner <bahner@debian.org>,
            Stig Sandbeck Mathisen <ssm@debian.org>,
            Marco d'Itri <md@linux.it>,
 Section: web
 Priority: optional
 Build-Depends: automake,
                debhelper-compat (= 13),
+               debhelper (>= 13.9),
+               dh-sequence-installsysusers,
                graphviz,
                libedit-dev,
                libjemalloc-dev,
                libncurses-dev,
                libpcre2-dev,
                libtool,
-               pkg-config,
+               pkgconf,
                python3-sphinx,
                xsltproc,
-               debhelper
-Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Standards-Version: 4.7.0.0
 Vcs-Browser: https://salsa.debian.org/varnish-team/varnish
 Vcs-Git: https://salsa.debian.org/varnish-team/varnish.git
 Homepage: https://www.varnish-cache.org/
@@ -29,8 +32,7 @@
          ${misc:Depends},
          adduser,
          gcc,
-         libc6-dev | libc6.1-dev | libc-dev,
-         lsb-base
+         libc6-dev | libc6.1-dev,
 Suggests: varnish-doc
 Provides: ${Varnish:ABI},
           ${Varnish:strictABI}
@@ -57,6 +59,7 @@
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery,
+         libjs-sphinxdoc,
          libjs-underscore
 Description: documentation for Varnish Cache
  This package contains HTML documentation for Varnish Cache.
