=== debian/rules ===
#!/usr/bin/make -f

# Ensure documentation builds do not vary based on locale
export LC_ALL = C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

# List of architectures where jemalloc is not available
DISABLE_JEMALLOC_ARCH_LIST := hppa m68k

# List of architectures where tests are not expected to fail
RELIABLE_TESTS_ARCH_LIST :=

# Set local state dir for FHS
LOCAL_CONFIGURE_FLAGS = --localstatedir=/var/lib

# Workaround for a breaking change in GNU make 4.3.
H := \#

# Extract varnishd ABI and VRT versions, for dependencies
VARNISHD_ABI = $(shell \
	printf '$(H)include "vcs_version.h"\nVCS_Version\n' | \
	cpp - -Iinclude | \
	tail -1 | \
	tr -d '"')

VARNISHD_VRT = $(shell \
	printf '$(H)include "vdef.h"\n$(H)include "vrt.h"\n%s.%s\n' \
		VRT_MAJOR_VERSION VRT_MINOR_VERSION | \
	cpp - -Iinclude | \
	tail -1 | \
	tr -c -d '[0-9.]')

VMOD_ABI       = varnishabi-$(VARNISHD_VRT)
VMOD_strictABI = varnishabi-strict-$(VARNISHD_ABI)

ifneq ($(filter $(DEB_HOST_ARCH),$(DISABLE_JEMALLOC_ARCH_LIST)),)
LOCAL_CONFIGURE_FLAGS += --disable-jemalloc
endif

# Fix FTBFS on i386:
# https://github.com/varnishcache/varnish-cache/issues/1875
CFLAGS += -fexcess-precision=standard

# Disable reproducible cflags as embedding them in to the binary makes the
# build unreproducible.
export VCC_CC=exec \
	$(DEB_HOST_GNU_TYPE)-gcc \
	$(shell DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS) reproducible=-all" dpkg-buildflags --get CFLAGS) \
	-Werror -Wno-error=unused-result -pthread -fpic -shared -Wl,-x -o %o %s

# Main build rule, leave everything to debhelper
%:
	dh $@

override_dh_auto_test:
ifeq (, $(filter $(DEB_BUILD_OPTIONS), nocheck))
ifneq (, $(filter $(DEB_HOST_ARCH), $(RELIABLE_TESTS_ARCH_LIST)))
	$(MAKE) check VERBOSE=1
else
	$(MAKE) check VERBOSE=1 || true
endif
endif

# Override to add local configure flags
override_dh_auto_configure:
	dh_auto_configure -- $(LOCAL_CONFIGURE_FLAGS)

execute_after_dh_auto_build:
	$(MAKE) html
	cd doc && $(MAKE) changes.html

execute_after_dh_auto_install:
	@ # Remove .la files
	@ # (See http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
	find $(CURDIR)/debian/ -name \*.la -delete
	@ # Nuke the static libs too
	find $(CURDIR)/debian -name \*.a -delete
	rm -v debian/tmp/usr/share/doc/varnish/example.vcl
	rm -v debian/tmp/usr/bin/varnishstat_help_gen

execute_after_dh_install-arch:
	install -T -m 0644 etc/example.vcl debian/varnish/etc/varnish/default.vcl
	install -m 755 \
		debian/varnishreload \
		debian/varnish/usr/share/varnish/varnishreload

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog doc/changes.html

execute_after_dh_installdocs:
#	Use the packaged javascript libraries
	if [ -d debian/varnish-doc ]; then \
	cd debian/varnish-doc/usr/share/doc/varnish/html/_static/ && \
	ln -vsf /usr/share/javascript/jquery/jquery.js jquery.js && \
	ln -vsf /usr/share/javascript/sphinxdoc/1.0/doctools.js doctools.js && \
	ln -vsf /usr/share/javascript/sphinxdoc/1.0/language_data.js language_data.js && \
	ln -vsf /usr/share/javascript/sphinxdoc/1.0/searchtools.js searchtools.js && \
	ln -vsf /usr/share/javascript/underscore/underscore.js underscore.js ; \
	fi

execute_after_dh_installsystemd:
	dh_installsystemd --package=varnish --name=varnishncsa --no-enable

# this is a workaround for https://github.com/systemd/systemd/issues/33547
execute_after_dh_installsysusers:
	dh_installsysusers --name=varnish2

override_dh_makeshlibs:
	dh_makeshlibs -VUpstream-Version

override_dh_compress:
	dh_compress -X/usr/share/doc/varnish-doc/html

override_dh_gencontrol:
	dh_gencontrol -- \
		-V"Varnish:ABI=$(VMOD_ABI)" \
		-V"Varnish:strictABI=$(VMOD_strictABI)"
