## varnish 7.6.0

=== debian/changelog ===
varnish (7.6.0-2) unstable; urgency=medium

  * Introduce the dh_varnishabi debhelper helper, to be used by varnish
    modules packages to automatically add the dependency on varnishabi-*.
  * Stop depending on adduser, which is not used anymore since 7.5.0-1.

 -- Marco d'Itri <md@linux.it>  Thu, 24 Oct 2024 22:17:43 +0200

varnish (7.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Fri, 20 Sep 2024 11:34:45 +0200
