=== debian/rules ===
--- 
+++ 
@@ -17,25 +17,10 @@
 # Set local state dir for FHS
 LOCAL_CONFIGURE_FLAGS = --localstatedir=/var/lib
 
-# Workaround for a breaking change in GNU make 4.3.
-H := \#
-
-# Extract varnishd ABI and VRT versions, for dependencies
-VARNISHD_ABI = $(shell \
-	printf '$(H)include "vcs_version.h"\nVCS_Version\n' | \
-	cpp - -Iinclude | \
-	tail -1 | \
-	tr -d '"')
-
-VARNISHD_VRT = $(shell \
-	printf '$(H)include "vdef.h"\n$(H)include "vrt.h"\n%s.%s\n' \
-		VRT_MAJOR_VERSION VRT_MINOR_VERSION | \
-	cpp - -Iinclude | \
-	tail -1 | \
-	tr -c -d '[0-9.]')
-
-VMOD_ABI       = varnishabi-$(VARNISHD_VRT)
-VMOD_strictABI = varnishabi-strict-$(VARNISHD_ABI)
+# do not run the tests in the reprotest Salsa CI because they take too long
+ifneq (, $(findstring /reprotest., $(shell pwd)))
+DEB_BUILD_OPTIONS += nocheck
+endif
 
 ifneq ($(filter $(DEB_HOST_ARCH),$(DISABLE_JEMALLOC_ARCH_LIST)),)
 LOCAL_CONFIGURE_FLAGS += --disable-jemalloc
@@ -57,12 +42,12 @@
 	dh $@
 
 override_dh_auto_test:
-ifeq (, $(filter $(DEB_BUILD_OPTIONS), nocheck))
+	# ignore the blhc false positives (see $VCC_CC)
+	@echo 'blhc: ignore-line-regexp: .+"exec .+-gcc .+ -o %o %s" .+'
 ifneq (, $(filter $(DEB_HOST_ARCH), $(RELIABLE_TESTS_ARCH_LIST)))
-	$(MAKE) check VERBOSE=1
+	dh_auto_test
 else
-	$(MAKE) check VERBOSE=1 || true
-endif
+	dh_auto_test || true
 endif
 
 # Override to add local configure flags
@@ -91,6 +76,11 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog doc/changes.html
 
+execute_after_dh_installman:
+	mkdir -p debian/libvarnishapi-dev/usr/share/man/man1/
+	pod2man --section=1p --utf8 debian/extra/dh_varnishabi \
+		debian/libvarnishapi-dev/usr/share/man/man1/dh_varnishabi.1p
+
 execute_after_dh_installdocs:
 #	Use the packaged javascript libraries
 	if [ -d debian/varnish-doc ]; then \
@@ -110,12 +100,13 @@
 	dh_installsysusers --name=varnish2
 
 override_dh_makeshlibs:
-	dh_makeshlibs -VUpstream-Version
+	dh_makeshlibs -VUpstream-Version -- -c4
 
 override_dh_compress:
 	dh_compress -X/usr/share/doc/varnish-doc/html
 
 override_dh_gencontrol:
+	perl debian/extra/dh_varnishabi
 	dh_gencontrol -- \
-		-V"Varnish:ABI=$(VMOD_ABI)" \
-		-V"Varnish:strictABI=$(VMOD_strictABI)"
+		-V"Varnish:gcc=$(shell echo gcc-$(DEB_HOST_GNU_TYPE) | sed -e 's/_/-/g')"
+
