## varnish 7.6.1

=== debian/changelog ===
varnish (7.6.1-2) unstable; urgency=medium

  * Fix dh_varnishabi to actually recognize all Varnish modules.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Nov 2024 12:43:56 +0100

varnish (7.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Disable LTO, because enabling it disables jemalloc.
  * Set TasksMax and LimitCORE to infinity.
  * Enable HTTP/2 by default.

 -- Marco d'Itri <md@linux.it>  Mon, 18 Nov 2024 23:47:16 +0100
