=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libpcre2-dev,
                libtool,
                pkgconf,
-               python3-sphinx,
+               python3-sphinx:native,
                xsltproc,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0.0
@@ -30,12 +30,10 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         adduser,
-         gcc,
+         ${Varnish:gcc},
          libc6-dev | libc6.1-dev,
 Suggests: varnish-doc
-Provides: ${Varnish:ABI},
-          ${Varnish:strictABI}
+Provides: ${misc:Provides},
 Description: state of the art, high-performance web accelerator
  Varnish Cache is a state of the art web accelerator written with
  performance and flexibility in mind.
