=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Ensure documentation builds do not vary based on locale
 export LC_ALL = C.UTF-8
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# LTO needs to be disabled until it will be compatible with jemalloc
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
