## varnish 7.7.0

=== debian/changelog ===
varnish (7.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Tue, 18 Mar 2025 18:16:09 +0100

varnish (7.6.1-3) unstable; urgency=medium

  * Require the tests to succeed on amd64.
  * dh_varnishabi: implement --strict.

 -- Marco d'Itri <md@linux.it>  Fri, 14 Mar 2025 00:48:07 +0100
