=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: varnish
 Maintainer: Varnish Package Maintainers <team+varnish-team@tracker.debian.org>
-Uploaders: Jan Wagner <waja@cyconet.org>,
-           Lars Bahner <bahner@debian.org>,
+Uploaders:
            Stig Sandbeck Mathisen <ssm@debian.org>,
            Marco d'Itri <md@linux.it>,
 Section: web
@@ -20,7 +19,7 @@
                python3-sphinx:native,
                xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0.0
+Standards-Version: 4.7.2.0
 Vcs-Browser: https://salsa.debian.org/varnish-team/varnish
 Vcs-Git: https://salsa.debian.org/varnish-team/varnish.git
 Homepage: https://www.varnish-cache.org/
