=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DISABLE_JEMALLOC_ARCH_LIST := hppa m68k
 
 # List of architectures where tests are not expected to fail
-RELIABLE_TESTS_ARCH_LIST :=
+RELIABLE_TESTS_ARCH_LIST := amd64
 
 # Set local state dir for FHS
 LOCAL_CONFIGURE_FLAGS = --localstatedir=/var/lib
