## varnish 7.7.1

=== debian/changelog ===
varnish (7.7.1-1) experimental; urgency=medium

  * New upstream release. Fixes:
    - FTBFS with GCC-15. (Closes: #1098056)

 -- Marco d'Itri <md@linux.it>  Fri, 20 Jun 2025 05:16:33 +0200

varnish (7.7.0-3) unstable; urgency=medium

  * Depend on binutils because triplet-gcc calls the plain as(1) due to
    #1083135. (Closes: #1107510)

 -- Marco d'Itri <md@linux.it>  Sun, 08 Jun 2025 13:43:35 +0200

varnish (7.7.0-2) unstable; urgency=medium

  * Fix the VSV00016 request smuggling vulnerability.

 -- Marco d'Itri <md@linux.it>  Tue, 13 May 2025 01:15:16 +0200
