=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 # Set local state dir for FHS
 LOCAL_CONFIGURE_FLAGS = --localstatedir=/var/lib
 
-# do not run the tests in the reprotest Salsa CI because they take too long
-ifneq (, $(findstring /reprotest., $(shell pwd)))
+# do not waste CI resources by running the package tests again and again
+ifneq (, $(filter test-build-% reprotest, $(CI_JOB_NAME_SLUG)))
 DEB_BUILD_OPTIONS += nocheck
 endif
