## varnish 7.7.2

=== debian/changelog ===
varnish (7.7.2-2) unstable; urgency=medium

  * Fix the r04036 test on ppc64el.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Aug 2025 09:05:55 +0200

varnish (7.7.2-1) unstable; urgency=medium

  * New upstream release. Fixes:
    - the VSV00017 denial of service vulnerability.
  * Skip most autopkgtests on riscv64 because they are unreliable.
    (Closes: #1108389)

 -- Marco d'Itri <md@linux.it>  Wed, 13 Aug 2025 22:49:24 +0200
