## varnish 7.7.3

=== debian/changelog ===
varnish (7.7.3-1) unstable; urgency=medium

  * New upstream release. Fixes the fix introduced in 7.7.2.

 -- Marco d'Itri <md@linux.it>  Sun, 24 Aug 2025 23:22:30 +0200
