=== debian/control ===
--- 
+++ 
@@ -10,13 +10,17 @@
                debhelper (>= 13.9),
                dh-sequence-installsysusers,
                graphviz,
+               haproxy <!nocheck>,
+               jq <!nocheck>,
                libedit-dev,
                libjemalloc-dev,
                libncurses-dev,
                libpcre2-dev,
                libtool,
+               nghttp2-client <!nocheck>,
                pkgconf,
                python3-sphinx:native,
+               vttest <!nocheck>,
                xsltproc,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2.0
@@ -30,6 +34,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${Varnish:gcc},
+         binutils,
          libc6-dev | libc6.1-dev,
 Suggests: varnish-doc
 Provides: ${misc:Provides},
