=== debian/tests/control ===
Test-Command: cd debian/tests && rspec spec/varnish/*_spec.rb
Depends: @,ruby-serverspec,net-tools
Restrictions: needs-root,isolation-container,skippable
