=== debian/watch ===
version=4

https://varnish-cache.org/releases/ /downloads/@PACKAGE@-@ANY_VERSION@.tgz
